> ## Documentation Index
> Fetch the complete documentation index at: https://docs.realtimelca.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Project

> Updates the base information of an existing building project. Send a `PUT` request with the project UUID as a path variable and a JSON body containing the fields to update.

**Endpoint:** `PUT {{lcabaseUrl}}/BuildingProject/updatebaseinfo/:id`



## OpenAPI

````yaml /api-reference/realtime-lca-openapi.yaml put /BuildingProject/updatebaseinfo/{id}
openapi: 3.0.0
info:
  title: Real-Time LCA REST Documentation
  version: 1.0.0
  description: >-
    ### Description 📝


    This collection contains a set of REST API requests for the Real-Time LCA
    (Life Cycle Assessment) service.


    ### Authenticate user 👤🔑


    In the `Auth` folder there's a `POST` request for authenticating the user.


    In this request body you can type in the user RTLCA user credentials
    (username & password) and a succesfull (`200 OK`) response will set the
    collection `BearerToken` variable which is then inherited by all other
    requests.
servers:
  - url: https://api.realtimelca.com/rest/api
    description: REST API.
  - url: https://api.realtimelca.com/epd/api
    description: EPD API.
  - url: https://auth.realtimelca.com/frontegg/identity/resources/auth/v1
    description: Authentication API (Frontegg identity v1).
  - url: https://realtimelca-prod.hasura.app
    description: GraphQL API (Hasura).
security:
  - BearerAuth: []
tags:
  - name: Auth
  - name: User
  - name: Overview
  - name: Project
  - name: Dashboard
  - name: Mapping
  - name: Automapping
  - name: Transport
  - name: Waste
  - name: Inspect
  - name: Report
  - name: Images
  - name: Library
  - name: Datasource
  - name: Owner
  - name: Material
  - name: Constructions
  - name: Enums
paths:
  /BuildingProject/updatebaseinfo/{id}:
    servers:
      - url: https://api.realtimelca.com/rest/api
    parameters:
      - name: id
        in: path
        required: true
        description: buildingProjectId
        schema:
          type: string
        example: dfe58069-b071-45fb-a3e2-e2479646a0f6
    put:
      tags:
        - Project
        - Update Project
      summary: Update Project
      description: >-
        Updates the base information of an existing building project. Send a
        `PUT` request with the project UUID as a path variable and a JSON body
        containing the fields to update.


        **Endpoint:** `PUT {{lcabaseUrl}}/BuildingProject/updatebaseinfo/:id`
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                projectName:
                  type: string
                clientName:
                  type: string
                builder:
                  type: string
                buildingAddress:
                  type: object
                  properties:
                    street:
                      type: string
                    streetNumber:
                      type: string
                    city:
                      type: string
                    postalCode:
                      type: string
                    country:
                      type: string
                type:
                  type: integer
                stage:
                  type: integer
                projectNumber:
                  type: string
                speckleConfiguration:
                  type: object
                  properties:
                    parameters:
                      type: object
                      properties:
                        classificationCode:
                          type: string
                        classificationTypeId:
                          type: string
            example:
              projectName: ''
              clientName: ''
              builder: ''
              buildingAddress:
                street: ''
                streetNumber: ''
                city: ''
                postalCode: ''
                country: ''
              type: 2
              stage: 4
              projectNumber: ''
              speckleConfiguration:
                parameters:
                  classificationCode: BIMTypeCode
                  classificationTypeId: f4b058b9-43c5-4004-8f1b-45827615daec
      responses:
        default:
          description: Response schema not yet documented in the upstream Postman spec.
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````